GATK 3.8 and GATK 3.7 scripts
2
1
Entering edit mode
11 months ago

Hello everybody,

I am using a pipeline (Paleomix) using the two following scripts found in the GATK folder:

GenomeAnalysisTK.jar Picard.jar

These scripts do not exist in the last version of GATK (GATK 4), nor in GATK 3.8-1.

But I think they are existing in GATK 3.7.

Would anyone have this version in a repository? It seems to be accessible on Github (https://github.com/broadinstitute/gatk/releases) in the archives. But I don't know how to access them. Would anyone know how to do?

Thanks in advance for the help!

gatk alignment version repository • 1.9k views
ADD COMMENT
4
Entering edit mode
11 months ago

GenomeAnalysisTK.jar and Picard.jar were separate tools up to GATK v3.8. But from v4, Picard has been integrated into the Genome Analysis toolkit.

GATK archive(< v3.8) : https://console.cloud.google.com/storage/browser/gatk-software/package-archive/gatk/

Picard stand-alone: https://broadinstitute.github.io/picard/

ADD COMMENT
1
Entering edit mode
9 months ago
gethemudo ▴ 10

I am looking into using the same pipeline. I had paleomix installed so that I can use with singularity, but it was lacking the dependencies GATK and Picard. These old versions are not maintained by Broad but I found after some digging in the installation instructions:

The bam_pipeline also needs older versions of GATK, which are now not maintained by the Broad Institute. We can download the JAR file from the Broad archive, and activate it within the conda environment like so:

$ (paleomix) wget
https://storage.googleapis.com/gatk-software/package-archive/gatk/GenomeAnalysisTK-3.8-1-0-gf15c1c3ef.tar.bz2
$ (paleomix) gatk3-register
GenomeAnalysisTK-3.8-1-0-gf15c1c3ef.tar.bz2
  
ADD COMMENT

Login before adding your answer.

Traffic: 1925 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6